import request from '@/utils/request'

// 查询环保监管-其他处罚列表
export function listPenalties(query) {
    return request({
        url: '/crmEnvironmentalOtherPenalties/findByPage',
        method: 'get',
        params: query
    })
}

// 查询环保监管-其他处罚详细
export function getPenalties(id) {
    return request({
        url: '/crmEnvironmentalOtherPenalties/' + id,
        method: 'get'
    })
}

// 新增环保监管-其他处罚
export function addPenalties(data) {
    return request({
        url: '/crmEnvironmentalOtherPenalties',
        method: 'post',
        data: data
    })
}

// 修改环保监管-其他处罚
export function updatePenalties(data) {
    return request({
        url: '/crmEnvironmentalOtherPenalties',
        method: 'put',
        data: data
    })
}

// 删除环保监管-其他处罚
export function delPenalties(id) {
    return request({
        url: '/crmEnvironmentalOtherPenalties/deleteAll',
        method: 'delete'
    })
}
// 批量删除行政许可
export function delPenaltiesBatch(ids) {
    console.log(ids);
    return request.post('/crmEnvironmentalOtherPenalties/delete',ids)
}